%global pypi_name oslo-config
%global srcname oslo.config

Name:           python-%{pypi_name}
Version:        9.4.0
Release:        %mkrel 2
Summary:        Oslo configuration API
Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/oslo.config/oslo.config-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

%package -n     python3-%{pypi_name}
Summary:        Oslo configuration API
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

%prep
%setup -q -n oslo.config-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_config

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{_bindir}/oslo-config-generator
%{_bindir}/oslo-config-validator



%changelog
* Sun Mar 02 2025 wally <wally> 9.4.0-2.mga10
+ Revision: 2157333
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 9.4.0-1.mga10
+ Revision: 2077678
- new version 9.4.0

* Mon Jan 22 2024 papoteur <papoteur> 9.3.0-1.mga10
+ Revision: 2033515
- new version 9.3.0
- use generate_buildrequires

* Mon Aug 22 2022 wally <wally> 9.0.0-1.mga9
+ Revision: 1879141
- new version 9.0.0
- switch build to pyproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 6.8.1-7.mga9
+ Revision: 1825027
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 6.8.1-6.mga9
+ Revision: 1783451
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 6.8.1-5.mga9
+ Revision: 1732466
- Rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 6.8.1-4.mga8
+ Revision: 1671118
- provide and obsolete old python-oslo-config

* Sun Feb 16 2020 umeabot <umeabot> 6.8.1-3.mga8
+ Revision: 1533848
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 6.8.1-2.mga8
+ Revision: 1445504
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 6.8.1-1.mga7
+ Revision: 1394235
- new version 6.8.1

* Wed Jan 09 2019 shlomif <shlomif> 3.1.0-5.mga7
+ Revision: 1353576
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.1.0-4.mga7
+ Revision: 1289502
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 3.1.0-3.mga7
+ Revision: 1168591
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.1.0-2.mga7
+ Revision: 1135529
- Rebuild for python 3.6

* Fri Dec 18 2015 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 911559
- new version: 3.1.0

* Mon Oct 12 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 889868
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 2.3.0-1.mga6
+ Revision: 871279
- 2.3.0

* Mon Feb 23 2015 bcornec <bcornec> 1.6.1-1.mga5
+ Revision: 816660
- Update to upstream 1.6.1
- Update to 1.6.0 upstream

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 747412
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-6.mga5
+ Revision: 729262
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 688196
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 543798
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-2.mga4
+ Revision: 499028
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 1.2.1-1.mga4
+ Revision: 492614
- New version

* Tue Jul 30 2013 neoclust <neoclust> 1.1.1-1.mga4
+ Revision: 460765
- imported package python-oslo-config

